Select Hatch

Can anyone tell me what the rule is for selecting hatches. I frequently have to click repeatedly in numerous areas before a hatch will select. Is it the center of gravity of the shape or the insertion point or some other. I can usually get it by selecting the surround but as a drawing becomes more involved its not nearly as easy. I seem to remember that with autocad you can basically click anywhere within the polygonal region to select it or was that wishful thinking.Thanks in advance

Comments

  • I use this command, with a window or crossing that includes the hatch or hatches I want to select:

    ;;; --- QH creates a selection set filtered for Hatches only;;; -----------------------------------------------------(defun c:QH ()(princ " Select HATCH entities: ")(setq PR (cons 0 ET))(setq ss1 (ssget '((0 . "HATCH"))))(if ss1 (command "selgrips" ss1 "") (progn (princ "\n ...none found.") (princ)) )(command "regen")(command "selgrips" "p" "")) ;;; -----------------------------------------------------
  • For hatches consisting of dashes and lines, selection is straightforward: click one of the dashes or lines. Most likely though, the problem experienced concerns solid hatches. In order to make solid hatches selectable, a (invisible) triangulation is added to the collection of selectable entities, and if one clicks an edge of this triangulation, the selection succeeds. As the triangulation web is connecting the vertices on the hatch boundary edges, you have a good chance to hit a triangulation edge when clicking inside the boundary, in the neighborhood of a boundary vertex.

This discussion has been closed.